<?php

/*
 * Event Calendar (module) for Elxis CMS 2008.x and 2009.x+
 *
 * @version		1.0
 * @package		Event Calendar (module)
 * @author		Apostolos Koutsoulelos <akoutsoulelos@yahoo.gr>
 * @copyright	Copyright (C) 2009-2010 Apostolos Koutsoulelos. All rights reserved.
 * @license		http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link		
 *
 * 	                ===================== NOTE =====================
 *
 * This file as a modification of:
 *
 * Holiday Calendar Holiday Data File
 *	@version 	holiday_calendar.php 2008-04-20
 *	@package 	Holiday Calendar
 *	@copyright 	Copyright © 2007-2008 Efthimios Mavrogeorgiadis. All rights reserved.
 *	@license 	http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 *  @based on 	Feidias N. Bourlas' "Istorikon Epeteiologion" 
 * 				http://pheidias.antibaro.gr/Documents/Epeteiologion.txt
 *
 */
 

// Prevent direct inclusion of this file
defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

$moving_holidays = array(
	"-70"	=>	"Κυριακή Τελώνου και Φαρισαίου, Αρχή Τριωδίου",
	"-63"	=>	"Κυριακή του Ασώτου",
	"-59"	=>	"Τσικνοπέμπτη",
	"-57"	=>	"Ψυχοσάββατο",
	"-56"	=>	"Κυριακή της Απόκρεω",
	"-50"	=>	"Ψυχοσάββατο",
	"-49"	=>	"Κυριακή της Τυροφάγου",
	"-48"	=>	"Καθαρά Δευτέρα",
	"-44"	=>	"Α' Χαιρετισμοί",
	"-43"	=>	"Θεοδώρου Τήρωνος, Ψυχοσάββατο",
	"-42"	=>	"Κυριακή Β' Νηστειών (Ορθοδοξίας)",
	"-37"	=>	"Β' Χαιρετισμοί",
	"-35"	=>	"Κυριακή Β' Νηστειών, Γρηγορίου Παλαμά",
	"-30"	=>	"Γ' Χαιρετισμοί",
	"-28"	=>	"Κυριακή Γ' Νηστειών (Σταυροπροσκυνήσεως)",
	"-23"	=>	"Δ' Χαιρετισμοί",
	"-21"	=>	"Κυριακή Δ' Νηστειών, Ιωάννου Κλίμακος",
	"-18"	=>	"Μέγας Κανών",
	"-17"	=>	"Πέμπτη του Μεγάλου Κανόνος",
	"-16"	=>	"Ακάθιστος Ύμνος",
	"-15"	=>	"Σάββατο του Ακαθίστου",
	"-14"	=>	"Κυριακή Ε' Νηστειών, Μαρίας Αιγυπτίας",
	 "-8"	=>	"Έγερσις Λαζάρου",
	 "-7"	=>	"Κυριακή των Βαΐων",
	 "-6"	=>	"Μεγάλη Δευτέρα, Ιωσήφ Πάγκαλου",
	 "-5"	=>	"Μεγάλη Τρίτη, 10 Παρθένων",
	 "-4"	=>	"Μεγάλη Τετάρτη",
	 "-3"	=>	"Μεγάλη Πέμπτη, Μυστικός Δείπνος",
	 "-2"	=>	"Μεγάλη Παρασκευή, Άγια Πάθη",
	 "-1"	=>	"Μεγάλο Σάββατο",
	  "0"	=>	"ΤΟ ΑΓΙΟΝ ΠΑΣΧΑ",
	 "+1"	=>	"Δευτέρα Διακαινησίμου",
	 "+2"	=>	"Τρίτη Διακαινησίμου",
	 "+3"	=>	"Τετάρτη Διακαινησίμου",
	 "+4"	=>	"Πέμπτη Διακαινησίμου",
	 "+5"	=>	"Ζωοδόχου Πηγής",
	 "+6"	=>	"Σάββατο Διακαινησίμου",
	 "+7"	=>	"Κυριακή του Θωμά",
	"+14"	=>	"Κυριακή των Μυροφόρων",
	"+21"	=>	"Κυριακή του Παραλύτου",
	"+24"	=>	"Μεσοπεντηκοστής",
	"+28"	=>	"Κυριακή της Σαμαρείτιδος",
	"+35"	=>	"Κυριακή του Τυφλού",
	"+38"	=>	"Απόδοσις Εορτής Πάσχα",
	"+39"	=>	"Ανάληψη του Χριστού",
	"+42"	=>	"Κυριακή των Αγίων 318 Θ. Πατέρων  (Α' Οικ. Σύνοδος)",
	"+48"	=>	"Ψυχοσάββατο",
	"+49"	=>	"Πεντηκοστή",
	"+50"	=>	"Αγίου Πνεύματος",
	"+56"	=>	"Κυριακή Αγίων Πάντων",
);

$namedays_long = array(
	"01/01"	=>	"Περιτομή Ιησού Χριστού. Βασιλείου Μεγάλου",
	"02/01"	=>	"Σιλβέστρου π. Ρώμης, Θεαγένους ιερ., Σεραφείμ Σάρωφ",
	"03/01"	=>	"Μαλαχίου προφήτου, Γορδίου μάρτυρος",
	"04/01"	=>	"Σύναξις των 70 αποστόλων, Θεοκτίστου οσίου",
	"05/01"	=>	"Παραμονή Θεοφανείων, Θεοπέμπτου και Θεωνά μαρτύρων",
	"06/01"	=>	"Τα Άγια Θεοφάνεια",
	"07/01"	=>	"Σύναξις Ιωάννου του Προδρόμου και Βαπτιστού",
	"08/01"	=>	"Δομνίκης οσίας, Γεωργίου Χοζεβίτου, Θεοφίλου μάρτυρος",
	"09/01"	=>	"Πολυεύκτου μάρτυρος, Ευστρατίου οσίου θαυματουργού",
	"10/01"	=>	"Γρηγορίου επισκόπου Νύσσης, Δομετιανού, Μαρκιανού",
	"11/01"	=>	"Θεοδοσίου κοινοβιάρχου, Σύναξις μυρίων Αγγέλων, Αγαπίου",
	"12/01"	=>	"Τατιανής μάρτυρος, Μερτίου και Ευθασίας μαρτύρων",
	"13/01"	=>	"Ερμύλου και Στρατονίκου μαρτύρων",
	"14/01"	=>	"Των εν Σινά και Ραϊθώ αναιρεθέντων οσίων Πατέρων",
	"15/01"	=>	"Παύλου Θηβαίου, Ιωάννου Καλυβίτου",
	"16/01"	=>	"Προσκύνησις τιμίας αλύσεως αποστόλου Πέτρου, Νεονίλλης μαρτύρων, Δαμασκηνού ",
	"17/01"	=>	"Αντωνίου του Μεγάλου, Αχιλλά οσίου, Γεωργίου",
	"18/01"	=>	"Αθανασίου και Κυρίλλου Πατριαρχών Αλεξανδρείας",
	"19/01"	=>	"Μακαρίου του Αιγυπτίου, Αρσενίου, Μάρκου",
	"20/01"	=>	"Ευθυμίου του μεγάλου, Ζαχαρίου",
	"21/01"	=>	"Μαξίμου ομολογητού, Νεοφύτου και Αγνής μαρτύρων, Ζωσίμου ",
	"22/01"	=>	"Τιμοθέου αποστόλου, Αναστασίου του Πέρσου",
	"23/01"	=>	"Κλήμεντος Αγκύρας, Αγαθαγγέλου μάρτυρος",
	"24/01"	=>	"Ξένης οσίας, Βαβύλα ιερομάρτυρος, Μακεδονίου",
	"25/01"	=>	"Γρηγορίου Θεολόγου, Αυξεντίου νεομάρ.",
	"26/01"	=>	"Ξενοφώντος οσίου, Ανανίου ιερομάρτυρος, Αμμωνά οσίου",
	"27/01"	=>	"Ιωάννου Χρυσοστόμου ανακομιδή λειψάνων, Μαρκιανής",
	"28/01"	=>	"Εφραίμ του Σύρου, Παλλαδίου, Ιακώβου οσίων, Χάριτος μάρτυρος",
	"29/01"	=>	"Ιγνατίου Θεοφόρου ανακομιδή λειψάνων",
	"30/01"	=>	"Των Τριών Ιεραρχών",
	"31/01"	=>	"Κύρου και Ιωάννου των αναργύρων",
	"01/02"	=>	"Τρύφωνος μάρτυρος, Αναστασίου Ναυπλιέως νεομάρτυρος",
	"02/02"	=>	"Η Υπαπαντή του Ιησού Χριστού",
	"03/02"	=>	"Συμεών Θεοδόχου, Αννης προφήτιδος",
	"04/02"	=>	"Ισιδώρου Πηλουσιώτου, Ιωάννου και Νικολάου ομολογητών των οσίων",
	"05/02"	=>	"Αγάθης μάρτυρος, Πολυεύκτου, Θεοδοσίου οσίου",
	"06/02"	=>	"Βουκόλου Σμύρνης, Φωτίου πατριάρχου Κων/λεως",
	"07/02"	=>	"Παρθενίου Λαμψάκου, Λουκά οσίου",
	"08/02"	=>	"Θεοδώρου στρατηλάτου, Ζαχαρίου προφήτου, Μάρθας και Μαρίας μαρτύρων",
	"09/02"	=>	"Νικηφόρου μάρτυρος, Μαρκέλλου ιερομάρτυρος, Παγκρατίου και Φιλαγρίου",
	"10/02"	=>	"Χαραλάμπους ιερομάρτυρος, Αναστασίου, Ενναθά μάρτυρος",
	"11/02"	=>	"Βλασίου, Θεοδώρας της Αυγούστης",
	"12/02"	=>	"Μελετίου Αντιοχείας, Αντωνίου, Χρήστου νεομάρτυρος του κηπουρού",
	"13/02"	=>	"Μαρτινιανού, Ακύλα και Πρισκίλης, Ευλογίου",
	"14/02"	=>	"Αυξεντίου, Αβραάμ και Μάρωνος",
	"15/02"	=>	"Ονησίμου του αποστόλου, Ευσεβίου, Μαΐωρος μάρτυρος",
	"16/02"	=>	"Παμφίλου",
	"17/02"	=>	"Θεοδώρου του Τήρωνος, Των εν ασκήσει λαμψάντων ",
	"18/02"	=>	"Λέοντος Ρώμης, Αγαπητού",
	"19/02"	=>	"Αρχίππου, Απφίας και Φιλήμονος, Φιλοθέης της Αθηναίας",
	"20/02"	=>	"Λέοντος Κατάνης, Αγάθωνος, Βησσαρίωνος",
	"21/02"	=>	"Τιμοθέου, Ευσταθίου επισκόπου Αντιοχείας",
	"22/02"	=>	"Των εν τοις Ευγενίου μαρτύρων, Ανθούσης μάρτυρος",
	"23/02"	=>	"Πολυκάρπου επισκόπου Σμύρνης",
	"24/02"	=>	"Πρώτη και δευτέρα εύρεσις τιμίας κεφαλής Προδρόμου",
	"25/02"	=>	"Ταρασίου Κων/λεως, Ρηγίνου, Μαρκέλλου",
	"26/02"	=>	"Πορφυρίου, Φωτεινής",
	"27/02"	=>	"Προκοπίου ομολογητού του Δεκαπολίτου, Γελασίου",
	"28/02"	=>	"Βασιλείου ομολογητού, Προτερίου, Νέστορος μάρτυρος",
	"29/02"	=>	"Κασσιανού ομολογητού",
	"01/03"	=>	"Ευδοκίας οσιομάρτυρος, Δομνίνης οσίας, Μαρκέλλου και Αντωνίνης μαρτύρων",
	"02/03"	=>	"Ησυχίου μάρτυρος, Ανδρονίκου μάρτυρος",
	"03/03"	=>	"Ευτροπίου, Κλεονίκου, Θεοδωρήτου και Βασιλίσκου μαρτύρων",
	"04/03"	=>	"Γερασίμου οσίου, Παύλου και Ιουλιανής μαρτύρων, Γρηγορίου",
	"05/03"	=>	"Ευλαμπίου μαρτύρων, Αρχελάου, Ιωάννου, Μάρκου οσίου",
	"06/03"	=>	"Των εν Αμορίω 42 μαρτύρων, Εύρεσις Τιμίου Σταυρού και Ήλων υπο της Αγίας Ελένης",
	"07/03"	=>	"Αγαθοδώρου και Ελπιδίου",
	"08/03"	=>	"Θεοφυλάκτου Νικομηδείας, Ερμού",
	"09/03"	=>	"Των εν Σεβαστεία αγίων 40 μαρτύρων",
	"10/03"	=>	"Κοδράτου μάρτυρος, Αναστασίας οσίας",
	"11/03"	=>	"Σωφρονίου Ιεροσολύμων, Τροφίμου οσίου",
	"12/03"	=>	"Θεοφάνους ομολογητού, Γρηγορίου Διαλόγου, Συμεώνος νέου",
	"13/03"	=>	"Νικηφόρου Κων/λεως, Ποπλίου, Χριστίνης μάρτυρος",
	"14/03"	=>	"Βενεδίκτου οσίου, Ευσχήμονος, Δημητρίου νεομάρτυρος Τουρνάρα",
	"15/03"	=>	"Αγαπίου και των συν αυτώ 7 μαρτύρων",
	"16/03"	=>	"Σαββίνου μάρτυρος, Χριστοδούλου του εν Πάτμω",
	"17/03"	=>	"Αλεξίου ανθρώπου Θεού, Θεοστηρίκτου",
	"18/03"	=>	"Κυρίλλου Ιεροσολύμων, Ευκαρπίωνος μαρτύρων, Ανανίου οσίου",
	"19/03"	=>	"Χρυσάνθου και Δαρείας μαρτύρων",
	"20/03"	=>	"Των Αγίου Σάββα αναιρεθέντων πατέρων",
	"21/03"	=>	"Ιακώβου ομολογητού",
	"22/03"	=>	"Βασιλείου ιερομάρτυρος, Καλλινίκης και Βασιλίσσης μαρτύρων",
	"23/03"	=>	"Νίκωνος οσιομάρτυρος και των 199 μαθητών αυτού",
	"24/03"	=>	"Αρτέμωνος και Ζαχαρίου των οσίων, Παρθενίου",
	"25/03"	=>	"Ευαγγελισμός της Θεοτόκου",
	"26/03"	=>	"Σύναξις Αρχαγγέλου Γαβριήλ, Κοδράτου μάρτυρος",
	"27/03"	=>	"Ματρώνης οσίας, Φιλητού και Λυδίας μαρτύρων",
	"28/03"	=>	"Ιλαρίωνος οσίου του νέου, Ηρωδίωνος εκ των 70 αποστόλων",
	"29/03"	=>	"Μάρκου Αρεθουσίων, Κυρίλλου, Ευσταθίου",
	"30/03"	=>	"Ιωάννου οσίου της Κλίμακος",
	"31/03"	=>	"Υπατίου Γαγγρών, Ακακίου, Ιωνά",
	"01/04"	=>	"Μαρίας οσίας Αιγυπτίας, Γεροντίου, Γεωργίου",
	"02/04"	=>	"Τίτου οσίου, Αμφιανού, Αιδεσίου",
	"03/04"	=>	"Νικήτα, Ιωσήφ υμνογράφου",
	"04/04"	=>	"Γεωργίου οσίου, Πλάτωνος, Ζωσιμά οσίου",
	"05/04"	=>	"Κλαυδίου, Θεοδώρας, Ζήνωνος μάρτυρος",
	"06/04"	=>	"Ευτυχίου οσίου",
	"07/04"	=>	"Καλλιοπίου μάρτυρος, Γεωργίου Μυτιλήνης",
	"08/04"	=>	"Αγάβου, Ρούφου, Ασυγκρίτου",
	"09/04"	=>	"Ευψυχίου μάρτυρος, Βαδίμου",
	"10/04"	=>	"Γρηγορίου, Μακαρίου, Μαξίμου, Διακαινησίμου, Ραφαήλ, Νικολάου, Ειρήνης ",
	"11/04"	=>	"Αντίπα επισκόπου Περγάμου, Φορμουθίου και Τρυφαίνης οσίων",
	"12/04"	=>	"Βασιλείου Παρίου, Ανθούσης οσίας, Αρτέμωνος",
	"13/04"	=>	"Μαρτίνου πάπα Ρώμης, Θεοδοσίου, Ζωΐλου, Ελευθερίου μαρτύρων",
	"14/04"	=>	"Αριστάρχου, Πούδη και Τροφίμου, Θωμαΐδος μάρτυρος, Δημητρίου",
	"15/04"	=>	"Κρήσκεντος, Λεωνίδου Αθηνών",
	"16/04"	=>	"Αγάπης, Ειρήνης, Χιονίας, Χαρίσης, Νίκης, Γαληνής, Καλλίδος, Νουνεχίας μαρτύρων",
	"17/04"	=>	"Συμεών Πέρσου, Ανδριανού, Αγαπητού",
	"18/04"	=>	"Ιωάννου, Κοσμά, Ιωάννου Ιωαννίνων",
	"19/04"	=>	"Πανφουτίου ιερομάρτυρος",
	"20/04"	=>	"Θεοδώρου Τριχινά, Αθανασίου",
	"21/04"	=>	"Ιανουαρίου ιερομάρτυρος",
	"22/04"	=>	"Θεοδώρου Συκεώτου, Νεάρχου μάρτυρος, Ναθαναήλ αποστόλου",
	"23/04"	=>	"Ανατολίου Μάρτυρος",
	"24/04"	=>	"Ελισάβετ οσίας, Σάββα του στρατηλάτου",
	"25/04"	=>	"Μάρκου του Ευαγγελιστού",
	"26/04"	=>	"Βασιλέως ιερομάρτυρος επισκόπου Αμασείας, Γλαφύρας",
	"27/04"	=>	"Γεωργίου Τροπαιοφόρου, Γλυκερίου μάρτυρος, Συμεών, Ποπλίωνος μάρτυρος",
	"28/04"	=>	"Των εν Κυζίκω 9 μαρτύρων, Μέμνονος οσίου",
	"29/04"	=>	"Ιάσωνος και Σωσιπάτρου",
	"30/04"	=>	"Ιακώβου αποστόλου, Ιωάννου θεολόγου",
	"01/05"	=>	"ΠΡΩΤΟΜΑΓΙΑ, Ιερεμίου προφήτου, Ακακίου",
	"02/05"	=>	"Αθανασίου του μεγάλου, Εσπέρου μαρτύρων",
	"03/05"	=>	"Τιμοθέου και Μαύρας μαρτύρων, Διοδώρου, Πέτρου Αργους",
	"04/05"	=>	"Πελαγίας, Ιλαρίου, Αθανασίου Κορίνθου",
	"05/05"	=>	"Ειρήνης μεγαλομάρτυρος, Ευθυμίου, Νεοφύτου",
	"06/05"	=>	"Ιώβ πολυάθλου, Θεοδότου, Σεραφείμ",
	"07/05"	=>	"Ανάμνησις φανερώσεως σημείου Τιμίου Σταυρού, Ακακίου μάρτυρος",
	"08/05"	=>	"Ιωάννου του θεολόγου, Αρσενίου του μεγάλου, Θεοδώρου νεομάρτυρος",
	"09/05"	=>	"Ησαΐου προφήτου, Χριστοφόρου, Νικολάου μάρτ.",
	"10/05"	=>	"Σίμωνος αποστόλου, Λαυρεντίου οσίου",
	"11/05"	=>	"Μωκίου, Διοσκούρου μάρτυρος, Αργυρού μάρτ.",
	"12/05"	=>	"Επιφανίου Κύπρου, Γερμανού Κων/λεως",
	"13/05"	=>	"Γλυκερίας μάρτυρος, Σεργίου, Παυσικάκου",
	"14/05"	=>	"Ισιδώρου, Λεοντίου, Μάρκου",
	"15/05"	=>	"Παχωμίου του μεγάλου, Αχιλλείου Λαρίσης, Βαρβάρου μάρτυρος",
	"16/05"	=>	"Θεοδώρου ηγιασμένου, Αλεξάνδρου αρχιεπισκόπου, Νικολάου νεομάρτυρος ",
	"17/05"	=>	"Ανδρονίκου, Ιουνίας αποστόλων, Αθανασίου Χριστιανουπόλεως",
	"18/05"	=>	"Πέτρου, Διονυσίου, Χριστίνης, Ανδρέου, Παύλου, Βενεδίμου, Κλαυδίας μάρτυρος",
	"19/05"	=>	"Πατρικίου Προύσης, Μενάνδρου, Πολυαίνου και Φιλεταίρου, Θεοτίμης",
	"20/05"	=>	"Θαλελλαίου, Νικήτα και Ιωσήφ, Νικολάου Μύρων Λυκίας",
	"21/05"	=>	"Κωνσταντίνου και Ελένης",
	"22/05"	=>	"Βασιλίσκου, Παύλου μάρτ.",
	"23/05"	=>	"Μιχαήλ Συνάδων, Μυροφόρου Μαρίας",
	"24/05"	=>	"Συμεών θαυματ., Μελετίου, Μαρκιανής",
	"25/05"	=>	"Γ' εύρεσις Τιμίας Κεφαλής Ιωάννου Προδρόμου",
	"26/05"	=>	"Κάρπου και Αλφαίου, Αλεξάνδρου",
	"27/05"	=>	"Ελλαδίου, Θεράποντος και Αλυπίου",
	"28/05"	=>	"Ευτυχούς Μελιτηνής, Ελικωνίδος, Νικήτα",
	"29/05"	=>	"Θεοδοσίας μάρτυρος, Ολιβιανού μάρτυρος ",
	"30/05"	=>	"Ισαακίου Δαλμάτων, Ευσεβίου και Χριστίνης των μαρτύρων, Ναταλίου και Βαρλαάμ οσίων",
	"31/05"	=>	"Ερμείου μάρτυρος και Ευσεβίου",
	"01/06"	=>	"Ιουστίνου, Χαρίτωνος και Θεσπεσίου μαρτύρων",
	"02/06"	=>	"Νικηφόρου Κων/λεως, Δημητρίου και Κωνσταντίνου των νεομαρτύρων",
	"03/06"	=>	"Λουκιλλιανού και Παύλης μαρτύρων, Αθανασίου οσίου του θαυματουργού",
	"04/06"	=>	"Μητροφάνους, Μαρίας και Μάρθας αδελφών Λαζάρου",
	"05/06"	=>	"Δωροθέου Τύρου, Νικάνδρου, Απόλλωνος, Μάρκου",
	"06/06"	=>	"Ιλαρίωνος, Αττάλου, Μιχαήλ",
	"07/06"	=>	"Θεοδότου Αγκύρας, Λυκαρίωνος και Ζηναΐδος, Αισίας και Σωσάννης, Σεβαστιανής οσίας",
	"08/06"	=>	"Θεοδώρου στρατηλάτου, Νικάνδρου, Μαρκιανού και Καλλιόπης μαρτ.",
	"09/06"	=>	"Κυρίλλου Αλεξανδρείας, Πελαγίας μάρτυρος",
	"10/06"	=>	"Αλεξάνδρου, Αντωνίνης μαρτύρων, Τιμοθέου, Πανσέμνης οσίων",
	"11/06"	=>	"Βαρθολομαίου και Βαρνάβα αποστόλων",
	"12/06"	=>	"Ονουφρίου, Πέτρου εν Άθω, Ζήνωνος Τριφυλλίου",
	"13/06"	=>	"Ακυλίνης μάρτυρος, Αντιπάτρου, Άννης και Ιωάννου οσίων",
	"14/06"	=>	"Ελισσαίου προφήτου, Μεθοδίου, Κυρίλλου, Νήφωνος οσίου",
	"15/06"	=>	"Αμώς προφήτου, Αχαϊκού, Δουλά και Νερσή μαρτύρων",
	"16/06"	=>	"Τύχωνος επισκόπου Αμαθούντος Κύπρου",
	"17/06"	=>	"Ισαύρου, Μανουήλ, Σαβέλ και Ισμαήλ μαρτύρων",
	"18/06"	=>	"Λεοντίου, Υπατίου, Θεοδούλου, Αιθερίου μαρτύρων",
	"19/06"	=>	"Ιούδα του αποστόλου, Παϊσίου και Ζήνωνος οσίων, Ζωσίμου μάρτυρος",
	"20/06"	=>	"Μεθοδίου ιερομάρτυρος επισκόπου Πατάρων",
	"21/06"	=>	"Ιουλιανού Ταρσέως, Νικήτα του Νισυρίου",
	"22/06"	=>	"Ευσεβίου Σαμοσάτων, Ζήνωνος και Ζηνά μαρτύρων",
	"23/06"	=>	"Αγριππίνης μάρτυρος, Αριστοκλέους, Δημητριανού και Λολίας μαρτύρων",
	"24/06"	=>	"Γενέσιον Ιωάννου Προδρόμου και Βαπτιστού",
	"25/06"	=>	"Φεβρωνίας, Λογγίνου, Ορεντίου, Προκοπίου",
	"26/06"	=>	"Δαυΐδ Θεσσαλονίκης, Ανθίωνος οσίων, Ιωάννου επισκόπου Γοτθίας",
	"27/06"	=>	"Σαμψών ξενοδόχου, Μαρίας και Ιωάννας των Μυροφόρων",
	"28/06"	=>	"Κύρου, Ιωάννου, Παπίου, Παύλου και Μωϋσέως μαρτύρων",
	"29/06"	=>	"Πέτρου και Παύλου αποστόλων",
	"30/06"	=>	"Η Σύναξις των Αγίων Δώδεκα Αποστόλων",
	"01/07"	=>	"Κοσμά και Δαμιανού Αναργύρων",
	"02/07"	=>	"Κατάθεσις της τιμίας εσθήτος της Θεοτόκου, Ιουβεναλίου",
	"03/07"	=>	"Υακίνθου μάρτυρος, Διομήδους μάρτυρος",
	"04/07"	=>	"Ανδρέου Κρήτης, Θεοδώρου Κυρήνης, Λουκίας μάρτυρος, Δονάτου μάρτυρος",
	"05/07"	=>	"Αθανασίου του εν Άθω, Λαμπαδού, Κυπριανού",
	"06/07"	=>	"Αρχίππου, Φιλήμονος και Ονησίμου",
	"07/07"	=>	"Θωμά του εν Μαλεώ, Κυριακής μεγαλομάρτυρος",
	"08/07"	=>	"Προκοπίου μεγαλομάρτυρος, Φωτίου οσίου, Θεοφάνους και Αναστασίου των νεομαρτύρων, Θεοφίλου",
	"09/07"	=>	"Παγκρατίου Ταυρομενίας, Πρόβου, Μιχαήλ",
	"10/07"	=>	"Των εν Νικοπόλει της Αρμενίας 45 μαρτύρων, Νικοδήμου",
	"11/07"	=>	"Ευφημίας μεγαλομάρτυρος, Όλγας ισαποστόλου, Νεκταρίου",
	"12/07"	=>	"Πρόκλου και Ιλαρίου μαρτύρων, Βερονίκης",
	"13/07"	=>	"Αρχαγγέλου Γαβριήλ, Στεφάνου του Σαββαΐτου",
	"14/07"	=>	"Ακύλα αποστόλου, Ιωσήφ Θεσσαλονίκης, Ονησίμου, Νικοδήμου",
	"15/07"	=>	"Κηρύκου και Ιουλίτης των μαρτύρων",
	"16/07"	=>	"Αθηνογένους, Φαύστου και Αντιόχου μαρτύρων",
	"17/07"	=>	"Μαρίνης μεγαλομάρτυρος",
	"18/07"	=>	"Αιμιλιανού, Παύλου, Θέης, Ουαλεντίνης, Υακίνθου μάρτυρος",
	"19/07"	=>	"Μακρίνης, Δίου, Θεοδώρου αρχιεπισκ.",
	"20/07"	=>	"Ηλιού Θεσβίτου του προφήτου",
	"21/07"	=>	"Συμεών του σαλού και Ιωάννου των οσίων",
	"22/07"	=>	"Μαρίας Μαγδαληνής, Μαρκέλλης μάρτ.",
	"23/07"	=>	"Φωκά και Απολλωνίου ιερομαρτύρων, Ιεζεκιήλ του προφήτου",
	"24/07"	=>	"Χριστίνης μεγαλομάρτυρος, Αθανασίου και Θεοφίλου, Καπίτωνος και Υμεναίου",
	"25/07"	=>	"Κοίμησις Αγίας Άννης, Ολυμπιάδος ",
	"26/07"	=>	"Παρασκευής οσιομάρτυρος, Ερμολάου, Ερμίππου και Ερμοκράτους",
	"27/07"	=>	"Παντελεήμονος μεγαλομάρτυρος του ιαματικού",
	"28/07"	=>	"Προχόρου, Νικάνορος, Τίμωνος και Παρμενά",
	"29/07"	=>	"Καλλινίκου και Θεοδότης μαρτύρων",
	"30/07"	=>	"Σίλα, Σιλουανού, Κρήσκεντος, Επαινετού και Ανδρονίκου",
	"31/07"	=>	"Ευδοκίμου δικαίου, Ιωσήφ Αριμαθαίας",
	"01/08"	=>	" Μακκαβαίων, Σολομονής, Ελέσης οσιομάρτυρος",
	"02/08"	=>	"Στεφάνου ανακομιδή λειψάνων, Φωκά, Ιουστινιανού οσίου",
	"03/08"	=>	"Ισαακίου, Δαλμάτου και Φαύστου μαρτύρων, Σαλώμης μυροφόρου",
	"04/08"	=>	"Αγίων επτά παίδων εν Εφέσω, Ευδοκίας οσιομ., Ίας μάρ.",
	"05/08"	=>	"Ευσιγνίου μάρτυρος, Νόννης, Αββακούμ νεομ.",
	"06/08"	=>	"Μεταμόρφωσις του Σωτήρος",
	"07/08"	=>	"Δομετίου και Σώζοντος οσιομαρτύρων",
	"08/08"	=>	"Αιμιλιανού Κυζίκου, Μύρωνος, Αναστασίου και Τριανταφύλλου νεομ.",
	"09/08"	=>	"Ματθίου του αποστόλου",
	"10/08"	=>	"Λαυρεντίου, Ξύστου πάπα Ρώμης, Ιππολύτου μάρτυρος",
	"11/08"	=>	"Εύπλου διακόνου, Νήφωνος",
	"12/08"	=>	"Φωτίου και Ανικήτου των μαρτύρων",
	"13/08"	=>	"Μαξίμου ομολογητού, Ευδοκίας",
	"14/08"	=>	"Μιχαίου προφήτου, Μαρκέλλου, Συμεώνος νεομάρ.",
	"15/08"	=>	"Η ΚΟΙΜΗΣΙΣ ΤΗΣ ΘΕΟΤΟΚΟΥ",
	"16/08"	=>	"Αγίου Μανδηλίου, Διομήδους, Αποστόλου και Σταματίου νεομαρτ.",
	"17/08"	=>	"Μύρωνος, Θύρσου, Κυπριανού, Ιουλιανής, Στράτωνος και Ευτυχιανού μαρτ.",
	"18/08"	=>	"Φλώρου, Λαύρου, Λέοντος και Ερμού των μαρτύρων, Σωφρονίου",
	"19/08"	=>	"Ανδρέου στρατηλάτου, Τιμοθέου μάρτυρος, Θεοφάνους οσίου",
	"20/08"	=>	"Σαμουήλ προφήτου, Φωτεινής, Λουκίου και Ηλιοδώρου μαρτύρων, Ρηγίνου και Ορέστου",
	"21/08"	=>	"Θαδδαίου αποστόλου, Βάσσης, Θεογνίου, Αγαπίου, Πιστού και Θεοκλητούς μαρτ.",
	"22/08"	=>	"Αγαθονίκου, Ανθούσης μάρτυρος, Αθανασίου οσίου",
	"23/08"	=>	"Λούπου μάρτυρος, Νικολάου Σικελιώτου οσίου",
	"24/08"	=>	"Κοσμά του Αιτωλού νεομάρτυρος",
	"25/08"	=>	"Τίτου και Βαρθολομαίου, Γενναδίου, Ιωάννου, Επιφανίου και Μηνά",
	"26/08"	=>	"Αδριανού και Ναταλίας μαρτύρων, Ιωάσαφ οσίου",
	"27/08"	=>	"Ποιμένος οσίου, Λιβερίου, Φανουρίου μαρτ.",
	"28/08"	=>	"Μωυσέως Αιθίοπος, Διομήδους και Λαυρεντίου μαρτύρων",
	"29/08"	=>	"Αποτομή Τιμίας Κεφαλής Ιωάννου Προδρόμου",
	"30/08"	=>	"Αλεξάνδρου, Ιωάννου και Παύλου πατριαρχών Κων/λεως",
	"31/08"	=>	"Ανάμνησις Καταθέσεως Τιμίας Ζώνης Θεοτόκου",
	"01/09"	=>	"Αρχή της Ινδίκτου, Συμεών Στυλίτου",
	"02/09"	=>	"Μάμαντος μάρτυρος, Ιωάννου νηστευτού πατριάρχου Κων/λεως",
	"03/09"	=>	"Ανθίμου Νικομηδείας, Θεοκτίστου, Πολυδώρου ",
	"04/09"	=>	"Βαβύλα, Μωυσέως προφήτου, Ερμιόνης",
	"05/09"	=>	"Ζαχαρίου προφήτου",
	"06/09"	=>	"Μιχαήλ, Ευδοξίου και Καλοδότης των μαρτύρων",
	"07/09"	=>	"Σώζοντος μάρτυρος, Αθανασίου νεομάρτυρος",
	"08/09"	=>	"Γενέσιον της Υπεραγίας Θεοτόκου",
	"09/09"	=>	"Ιωακείμ και Άννης Θεοπατόρων, Σεβηριανού μάρτυρος",
	"10/09"	=>	"Μηνοδώρας, Μητροδώρας, Νυμφοδώρας μαρτύρων, Πουλχερίας και Μαρκιανού",
	"11/09"	=>	"Θεοδώρας οσίας, Ευφροσύνου οσίου, Ευανθίας και Διοδώρου των μαρτύρων",
	"12/09"	=>	"Αυτονόμου ιερομάρτυρος, Δανιήλ οσίου",
	"13/09"	=>	"Κορνηλίου εκατοντάρχου, Αριστείδου μάρτυρος",
	"14/09"	=>	"Ύψωσις Τιμίου Σταυρού, Κοίμησις Ιωάννου του Χρυσοστόμου",
	"15/09"	=>	"Νικήτα του μεγαλομάρτυρος, Φιλοθέου, Πορφυρίου, Βησσαρίωνος, Ιωάννου",
	"16/09"	=>	"Ευφημίας μεγαλ., Μελιτινής μάρτυρος",
	"17/09"	=>	"Σοφίας, Πίστεως, Αγάπης και Ελπίδος μαρτύρων",
	"18/09"	=>	"Ευμενίου Γορτύνης, Αριάδνης",
	"19/09"	=>	"Τροφίμου, Σαββατίου, Δορυμέδοντος και Σωσσάνης μαρτύρων",
	"20/09"	=>	"Ευσταθίου και Θεοπίστης, Ιλαρίωνος",
	"21/09"	=>	"Απόδοσις υψώσεως Τιμίου Σταυρού, Κοδράτου αποστόλου, Ιωνά προφήτου",
	"22/09"	=>	"Φωκά ιερομάρτυρος, Ισαάκ και Μαρτίνου μαρτύρων",
	"23/09"	=>	"Σύλληψις Ιωάννου Προδρόμου, Ξανθίππης και Πολυξένης οσίων",
	"24/09"	=>	"Παναγίας Μυρτιδιωτίσσης, Θέκλης μεγαλομάρτυρος",
	"25/09"	=>	"Ευφροσύνης οσίας και Τάττης μαρτ.",
	"26/09"	=>	"Μετάστασις Ιωάννου του Θεολόγου και Ευαγγελιστού",
	"27/09"	=>	"Καλλιστράτου μαρτ., Ακυλίνης",
	"28/09"	=>	"Χαρίτωνος, Βαρούχ προφήτου",
	"29/09"	=>	"Κυριακού αναχωρητού, Πετρωνίας μάρτυρος",
	"30/09"	=>	"Γρηγορίου Αρμενίας, Ριψιμίας και Γαϊανής μαρτύρων",
	"01/10"	=>	"Ανανίου αποστόλου, Ρωμανού μελωδού, Ιωάννου",
	"02/10"	=>	"Κυπριανού ιερομάρτυρος, Ιουστίνης, Γεωργίου νεομ.",
	"03/10"	=>	"Διονυσίου Αρεοπαγίτου, Ιωάννου του Χοζεβίτου, Θεαγένους μάρτ.",
	"04/10"	=>	"Ιεροθέου Αθηνών, Δομνίνης, Αμμούν, Θεοδώρου οσ.",
	"05/10"	=>	"Χαριτίνης και Μαμέλχθης των μαρτύρων",
	"06/10"	=>	"Θωμά αποστόλου, Ερωτηίδος μάρτυρος, Κενδέα οσίου, Μακαρίου νεομ.",
	"07/10"	=>	"Σεργίου και Βάκχου μαρτ., Ιουλιανού, Καίσαρος, Πολυχρονίου, Ιωάννου",
	"08/10"	=>	"Πελαγίας, Ταϊσίας οσίας, Αρτέμονος ιερομάρ., Ιγνατίου νεομάρ.",
	"09/10"	=>	"Ιακώβου αποστόλου, Ποπλίας, Αβραάμ Λωτ",
	"10/10"	=>	"Ευλαμπίου και Ευλαμπίας μαρτύρων, Θεοφίλου, Ιγνατίου οσιομάρτ.",
	"11/10"	=>	"Φιλίππου απόστ., Ζηναΐδος μαρτύρων, Αρσακίου",
	"12/10"	=>	"Πρόβου, Ταράχου μαρτ., Δομνίνης, Συμεών οσίου",
	"13/10"	=>	"Κάρπου και Παπύλου, Αγαθοδώρου, Αγαθονίκης και Βενιαμίν μαρτ.",
	"14/10"	=>	"Ναζαρίου, Γερβασίου, Κοσμά, Ευθυμίου νεομαρτ.",
	"15/10"	=>	"Λουκιανού, Σαβίνου οσίου, Βάρσου ομολογητού",
	"16/10"	=>	"Λογγίνου Εκατοντάρχου, Λεοντίου, Δομετίου μαρτύρων",
	"17/10"	=>	"Ωσηέ προφήτου, Ανδρέου του εν Κρίσει, Ιλαρίας μάρτυρος",
	"18/10"	=>	"Λουκά του Ευαγγελιστού",
	"19/10"	=>	"Ιωήλ προφήτου, Ουάρρου και Σαδώα μαρτύρων, Μνάσωνος",
	"20/10"	=>	"Αρτεμίου μεγαλ., Γερασίμου Κεφαλληνίας, Ματρώνης οσίας",
	"21/10"	=>	"Ιλαρίωνος, Σωκράτους, Θεοδότης μάρτυρος, Φιλοθέου, Βαρνάβα και Ιλαρίωνος των οσίων",
	"22/10"	=>	"Αβερκίου του ισαποστόλου, των Αγίων 7 παίδων των εν Εφέσω",
	"23/10"	=>	"Ιακώβου του αδελφοθέου, Ιγνατίου Κων/πόλεως, Ιωάννου νεομάρτ.",
	"24/10"	=>	"Αρέθα, Σεβαστιανής μάρτυρος, Πρόκλου πατριάρχου Κων/πόλεως",
	"25/10"	=>	"Μαρκιανού και Μαρτυρίου, Χρυσάφου μαρτ., Ταβιθάς αγίας",
	"26/10"	=>	"Δημητρίου μεγαλομάρτυρος του Μυροβλήτου",
	"27/10"	=>	"Νέστορος, Πρόκλης, Κυριακού Κων/πόλεως",
	"28/10"	=>	"Αγίας Σκέπης",
	"29/10"	=>	"Αναστασίας της Ρωμαίας, Τιμοθέου οσιομάρτυρος",
	"30/10"	=>	"Ζηνοβίου και Ζηνοβίας των μαρτύρων, Κλεόπα και Αρτεμά των αποστόλων",
	"31/10"	=>	"Στάχυος, Απελλού, Αμπλίου, Ουρβανού, Αριστοβούλου και Ναρκίσσου των αποστόλων",
	"01/11"	=>	"Κοσμά και Δαμιανού, Αναργύρων",
	"02/11"	=>	"Ακινδύνου, Πηγασίου, Αφθονίου, Ελπιδοφόρου και Ανεμποδίστου των μαρτύρων",
	"03/11"	=>	"Ακεψιμά, Ιωσήφ και Αειθαλά των μαρτύρων",
	"04/11"	=>	"Ιωαννικίου οσίου του μεγάλου, Νικάνδρου και Ερμαίου των ιερομαρτύρων",
	"05/11"	=>	"Γαλακτίωνος και Επιστήμης μαρτύρων, Ερμά, Λίνου, Γαΐου",
	"06/11"	=>	"Παύλου ομολογητού, των οσίων Αβραάμ, Λουκά και Δημητριανού",
	"07/11"	=>	"Των εν Μελιτηνή 33 μαρτύρων, Λαζάρου οσ., Αθηνοδώρου",
	"08/11"	=>	"Σύναξις Αρχαγγέλω νΜιχαήλ και Γαβριήλ",
	"09/11"	=>	"Ονησιφόρου και Πορφυρίου, Ματρώνης οσίας, Ευθυμίου και Νεοφύτου των οσίων",
	"10/11"	=>	"Ολυμπά, Ροδίωνος, Σωσιπάτρου, Τερτίου, Εράστου και Κουάρτου, Ορέστου μάρτ.",
	"11/11"	=>	"Μηνά, Βίκτωρος και Βικεντίου, Στεφανίδος μάρτυρος",
	"12/11"	=>	"Ιωάννου ελεήμονος, Νείλου οσίου, Σάββα και Νικολάου νεομαρτ.",
	"13/11"	=>	"Ιωάννου του Χρυσοστόμου, Δαμασκηνού και Δαμιανού",
	"14/11"	=>	"Φιλίππου αποστόλου, Κωνσταντίνου του Υδραίου",
	"15/11"	=>	"Γουρία, Σαμωνά και Αβίβου των μαρτύρων",
	"16/11"	=>	"Ματθαίου αποστόλου του Ευαγγελιστού",
	"17/11"	=>	"Γρηγορίου Νεοκαισαρείας, Γενναδίου και Μαξίμου Κων/πόλεως",
	"18/11"	=>	"Πλάτωνος, Ζακχαίου και Ρωμανού μαρτύρων",
	"19/11"	=>	"Αβδιού προφήτου, Βαρλαάμ, Αγαπίου, Ηλιοδώρου και Ευφημίας μαρτύρων",
	"20/11"	=>	"Γρηγορίου Δεκαπολίτου, Πρόκλου, Μαξίμου και Ανατολίου",
	"21/11"	=>	"Τα Εισόδια της Θεοτόκου",
	"22/11"	=>	"Φιλήμονος, Κικιλίας, Βαλλεριανού και Τιβουρτίου μαρτύρων",
	"23/11"	=>	"Αμφιλοχίου, Γρηγορίου Ακραγαντίνων, Ισχυρίωνος, Σισινίου οσ.",
	"24/11"	=>	"Κλήμεντος Ρώμης, Πέτρου Αλεξανδρείας, Ερμογένους, Χρυσογόνου και Φιλουμένου μαρτ.",
	"25/11"	=>	"Αικατερίνης της Μεγαλομάρτυρος, Μερκουρίου μάρτυρος",
	"26/11"	=>	"Αλυπίου του κιονίτου, Στυλιανού του Παφλαγόνος, Νίκωνος του μετανοείτε, Γεωργίου νεομάρτ.",
	"27/11"	=>	"Ιακώβου του Πέρσου μεγαλομάρτυρος, Ναθαναήλ οσίου",
	"28/11"	=>	"Στεφάνου οσιομάρτ., Ειρηνάρχου",
	"29/11"	=>	"Παραμόνου και Φιλουμένου μαρτύρων, Ουρβανού Μακεδονίας",
	"30/11"	=>	"Ανδρέου αποστόλου, οσίου Φρουμεντίου",
	"01/12"	=>	"Ναούμ του προφήτου, Φιλαρέτου οσίου του ελεήμονος",
	"02/12"	=>	"Αββακούμ προφήτου, Αβίβου και Μυρόπης μαρτύρων, Θεοφίλου και Ανδρέου των οσίων",
	"03/12"	=>	"Σοφονίου του προφήτου, Σελεύκου των μαρτύρων, Θεοδούλου οσίου, Αγγελή νεομάρτ.",
	"04/12"	=>	"Βαρβάρας Μεγαλομάρτυρος, Ιωάννου Δαμασκηνού, Σεραφείμ Φαναρίου",
	"05/12"	=>	"Σάββα του ηγιασμένου, Νεκταρίου και Φιλοθέου οσίων, Διογένους μάρτυρος",
	"06/12"	=>	"Νικολάου επισκόπου Μύρων της Λυκίας του θαυματουργού",
	"07/12"	=>	"Αμβροσίου επισκόπου Μεδιολάνων, Γερασίμου του ασκητού του εξ Ευβοίας",
	"08/12"	=>	"Παταπίου, Σωφρονίου, Σωσθένους, Απολλώ, Καίσαρος, Επαφροδίτου και Κηφά",
	"09/12"	=>	"Σύλληψις Αγίας Αννης, Στεφάνου οσίου του νεολαμπούς",
	"10/12"	=>	"Μηνά Καλλικελάδου, Ερμογένους και Ευγράφου μαρτ., Θωμά οσίου, Θεοτέκνου ιερομάρτυρος",
	"11/12"	=>	"Δανιήλ του στυλίτου, Λουκά, Νόμωνος και Λεοντίου οσίων, Βικεντίου, Αιμιλιανού, Βεβαίας",
	"12/12"	=>	"Σπυρίδωνος Τριμυθούντος, Αλεξάνδρου Ιεροσολύμων, Ιωάννου Ζιχνών",
	"13/12"	=>	"Ευστρατίου, Αυξεντίου, Ευγενίου, Μαγδαρίου και Ορέστου μαρ., Λουκίας μάρτ., Γαβριήλ ιερομάρτ.",
	"14/12"	=>	"Θύρσου, Λευκίου, Καλλινίκου, Φιλήμονος, Απολλωνίου, Αρριανού μαρτ.",
	"15/12"	=>	"Ελευθερίου ιερομάρτυρος, Ανθίας",
	"16/12"	=>	"Αγγαίου του προφήτου, Μοδέστου, Θεοφανούς",
	"17/12"	=>	"Δανιήλ προφήτου, Αζαρίου και Μισαήλ, Διονυσίου Αιγίνης του εκ Ζακύνθου",
	"18/12"	=>	"Σεβαστιανού μάρτυρος, Μοδέστου, Ζωής μάρτυρος",
	"19/12"	=>	"Βονιφατίου, Άρεως, Ευτυχίου και Θεσσαλονίκης μάρτ., Αγλαΐας της Ρωμαίας",
	"20/12"	=>	"Ιγνατίου του Θεοφόρου επισκόπου Αντιοχείας, Ιωάννου νεομάρτυρος",
	"21/12"	=>	"Ιουλιανής μάρτυρος και των συν αυτή 500 μαρτύρων, Θεμιστοκλέους μάρτυρος",
	"22/12"	=>	"Αναστασίας της φαρμακολυτρίας, Χρυσογόνου και Θεοδότης των μαρτ.",
	"23/12"	=>	"Των 10 μαρτύρων των εν Κρήτη, Νικολάου νεομάρτυρος του εκ Καρπενησίου, Ναούμ του φωτιστού",
	"24/12"	=>	"Ευγενίας οσιομάρτυρος, Φιλίππου, Αντιόχου οσίου",
	"25/12"	=>	"Γέννησις Ιησού Χριστού",
	"26/12"	=>	"Σύναξις Υπεραγίας Θεοτόκου, Ευθυμίου επισκόπου",
	"27/12"	=>	"Στεφάνου Πρωτομάρτυρος, Θεοδώρου του Γραπτού, Θεοδώρου Κων/πόλεως",
	"28/12"	=>	"Των εν Νικομηδεία αγίων δισμυρίων μαρτύρων, Σίμωνος του Μυροβλήτου",
	"29/12"	=>	"Των υπό Ηρώδου αναιρεθέντων 14.000 νηπίων εν Βηθλεέμ, Μαρκέλλου οσίου, Γεωργίου επισκόπου",
	"30/12"	=>	"Ανυσίας, Θεοδώρας οσίας, Φιλεταίρου μάρτ., Λέοντος οσίου, Γεδεών νεομάρτ.",
	"31/12"	=>	"Μελάνης οσίας, Ολυμπιοδώρας μάρτ., Ζωτικού ιερομάρτυρος του ορφανοτρόφου",
);

$namedays_short = array(
	"01/01"	=>	"Βασίλης, Βασιλική",
	"02/01"	=>	"Σεραφείμ",
	"05/01"	=>	"Θεώνη",
	"06/01"	=>	"Θεοφάνης, Φάνης, Φανή, Φώτης, Φωτεινή, Φωτούλα, Ιορδάνης, Ουρανία, Ράνια",
	"07/01"	=>	"Ιωάννης, Ιωάννα, Πρόδρομος",
	"08/01"	=>	"Δομινίκη",
	"11/01"	=>	"Θεοδόσιος, Θεοδοσία, Αγάπιος",
	"12/01"	=>	"Τατιανή, Τατιάνα",
	"14/01"	=>	"Νίνα",	
	"17/01"	=>	"Αντώνιος, Αντωνία",
	"18/01"	=>	"Αθανάσιος, Αθανασία, Κύριλλος",
	"19/01"	=>	"Ευφρασία, Μακάριος",	
	"20/01"	=>	"Ευθύμιος, Ευθυμία",
	"21/01"	=>	"Αγνή, Ευγένιος, Μάξιμος, Νεόφυτος",
	"22/01"	=>	"Τιμόθεος",
	"23/01"	=>	"Αγαθάγγελος",
	"24/01"	=>	"Ξένη, Ξένια, Φίλων",	
	"25/01"	=>	"Γρηγόριος, Γρηγόρης, Γρηγορία, Μαργαρίτα",
	"26/01"	=>	"Ξενοφών, Φώντας",
	"28/01" =>  "Παλλάδιος, Χάρις",
	"30/01"	=>	"Των Τριών Ιεραρχών (Ιωάννης ο Χρυσόστομος, Βασίλειος ο Μέγας, Γρηγόριος ο Ναζιανζηνός)",
	"31/01"	=>	"Ευδοξία, Κύρος",
	"01/02"	=>	"Τρύφων",
	"02/02"	=>	"Η Υπαπαντή του Ιησού Χριστού",
	"03/02"	=>	"Συμεών",
	"04/02"	=>	"Ιάσιμος, Σίμος, Ισίδωρος",
	"05/02"	=>	"Αγαθή",
	"08/02"	=>	"Ζαχαρίας",
	"09/02"	=>	"Παγκράτιος, Μάρκελος, Νικηφόρος",
	"10/02"	=>	"Χαράλαμπος, Μπάμπης, Χαρίλαος, Χαρίκλεια, Χαρούλα",
	"11/02"	=>	"Αυγή, Βλάσιος, Βλάσης",
	"12/02"	=>	"Μελέτιος, Μελέτης, Μελετία",
	"14/02"	=>	"Βαλεντίνος, Βαλεντίνη (Αγία Λατίνων)",
	"18/02"	=>	"Αγαπητός",	
	"19/02"	=>	"Φιλοθέη",
	"23/02"	=>	"Πολυχρόνης, Χρόνης, Πολύκαρπος",
	"26/02" => "Σεβαστιανός, Σεβαστός",
	"28/02"	=>	"Μαριάννα",
	"01/03"	=>	"Ευδοκία, Παράσχος",
	"02/03"	=>	"Ευθαλία, Θάλεια",
	"03/03"	=>  "Κλεόνικος, Κλεονίκη",
	"08/03"	=>	"Θεοφύλακτος, Φυλακτός, Θεοφύλακτη, Φυλακτή",
	"09/03"	=>	"Σαράντης, Σμαράγδα",
	"13/03"	=>	"Μάριος",
	"16/03"	=>	"Χριστόδουλος",
	"17/03"	=>	"Αλέξιος, Αλεξία",
	"19/03"	=>	"Χρυσάνθη, Χρύσανθος",
	"25/03"	=>	"Ευάγγελος, Ευαγγελία",
	"27/03"	=>	"Λυδία",
	"02/04"	=>	"Τίτος",
	"06/04"	=>	"Ευτύχιος, Ευτυχία",
	"10/04"	=>	"Δήμος, Πολύβιος, Φωκίων",
	"11/04"	=>	"Αντύπας",
	"12/04"	=>	"Ακάκιος",
	"14/04"	=>	"Θωμαΐς",
	"21/04"	=>	"Αλεξάνδρα, Αλέκα",
	"22/04"	=>	"Ναθαναήλ",
	"23/04" =>  "Ανατόλιος",
	"24/04"	=>	"Βέτα, Δούκας, Δούκισσα, Ελισάβετ, Ελίζα, Έλλη, Ζέτα, Λίζα",
	"29/04"	=>	"Σωσίπατρος, Πάτρα",
	"30/04" =>  "Ασημάκης, Ασημίνα, Ιάκωβος, Μαλαματένια, Ματίνα",
  	"01/05"	=>	"Ιερεμίας, Ισιδώρα, Δώρα",
	"02/05"	=>	"Αυγερινός",
	"05/05"	=>	"Ειρηναίος, Ειρηναία, Ειρήνη, Εφραίμ",
	"06/05"	=>	"Σεραφείμ",
	"08/05"	=>	"Θεολόγος, Μηλιά",
	"09/05"	=>	"Χριστόφορος, Ησαΐας",
	"10/05"	=>	"Σίμωνας, Σίμων, Σίμος",
	"11/05"	=>	"Αργυρός, Αργύριος, Μεθόδιος, Ολυμπία",
	"12/05"	=>	"Επιφάνιος",
	"13/05"	=>	"Γλυκερία",
	"14/05"	=>	"Ισίδωρος",
	"17/05"	=>	"Ανδρόνικος, Ανδρονίκη",
	"19/05"	=>	"Πατρίκιος, Μαγδαληνή, Μάγδα, Μαριλένα",
	"20/05"	=>	"Λήδα, Λυδία",
	"21/05"	=>	"Κωνσταντίνος, Ελένη, Νάντια",
	"27/05"	=>	"Ιωάννης ο Ρώσσος",
	"28/05"	=>	"Νεφέλη",
	"29/05"	=>	"Θεοδοσία",
	"02/06"	=>	"Νικηφόρος",
	"04/06"	=>	"Μάρθα",
	"05/06"	=>	"Δωρόθεος",
	"08/06"	=>	"Καλλιόπη",
	"11/06"	=>	"Βαρθολομαίος",
	"15/06"	=>	"Αυγουστίνος, Ιερώνυμος",
	"22/06"	=>	"Ευσέβιος",
	"29/06"	=>	"Πέτρος, Παύλος",
	"30/06"	=>	"Απόστολος",
	"01/07"	=>	"Κοσμάς, Δαμιανός, Αργύριος",
	"07/07"	=>	"Κυριάκος, Κυριακή",
	"08/07"	=>	"Θεόφιλος, Προκόπιος",
	"11/07"	=>	"Όλγα, Ευφημία",
	"12/07"	=>	"Βερονίκη",
	"14/07"	=>	"Ακύλας, Νικόδημος",
	"17/07"	=>	"Μαρίνα",
	"18/07"	=>	"Αιμιλιανός",
	"20/07"	=>	"Ηλίας",
	"22/07"	=>	"Μαγδαληνή, Μαρκέλλα",
	"26/07"	=>	"Παρασκευή",
	"27/07"	=>	"Παντελεήμων, Παντελής",
	"29/07"	=>	"Καλλίνικος",
	"30/07"	=>	"Ανδρόνικος",
	"06/08"	=>	"Σωτήριος, Σωτήρης",
	"08/08"	=>	"Μύρων, Τριαντάφυλλος",
	"09/08"	=>	"Ματθίας",
	"10/08"	=>	"Λαυρέντης",
	"15/08"	=>	"Μαρία, Μάριος, Δέσποινα, Παναγιώτης, Παναγιώτα",
	"18/08"	=>	"Αιμίλιος",
	"25/08"	=>	"Τίτος, Γεννάδιος, Επιφάνιος, Μηνάς",
	"26/08"	=>	"Ναταλία, Ανδριανός",
	"27/08"	=>	"Φανούριος",
	"30/08"	=>	"Αλέξανδρος, Αλεξάνδρα",
	"01/09"	=>	"Αθηνά, Αντιγόνη, Ασπασία, Θεανώ, Κλειώ, Κλεοπάτρα, Αφροδίτη, Χαρίκλεια, Χαρούλα",
	"02/09"	=>	"Μάμας",
	"03/09"	=>	"Άνθιμος, Πολύδωρος",
	"04/09"	=>	"Ερμιόνη",
	"05/09"	=>	"Ζαχαρίας",
	"09/09"	=>	"Ιωακείμ",
	"10/09"	=>	"Πουλχερία",
	"11/09"	=>	"Ευανθία",
	"14/09"	=>	"Σταύρος, Σταυρούλα",
	"15/09"	=>	"Νικήτας",
	"17/09"	=>	"Αγάπη, Σοφία, Ελπίδα, Πίστη",
	"18/09"	=>	"Αριάδνη",
	"20/09"	=>	"Ευστάθιος",
	"23/09"	=>	"Ξανθίππη, Πολυξένη",
	"24/09"	=>	"Θέκλα",
	"25/09"	=>	"Ευφροσύνη",
	"27/09"	=>	"Ζήνων",
	"29/09"	=>	"Κυριάκος",
	"02/10"	=>	"Κυπριανός",
	"03/10"	=>	"Διονύσιος",
	"04/10"	=>	"Ιερόθεος",
	"05/10"	=>	"Χαριτίνη",
	"07/10"	=>	"Σέργιος, Πολυχρόνης",
	"08/10"	=>	"Πελαγία",
	"09/10"	=>	"Ιάκωβος",
	"10/10"	=>	"Ευλάμπιος, Ευλαμπία, Θεόφιλος",
	"15/10"	=>	"Λουκιανός",
	"18/10"	=>	"Λουκάς",
	"20/10"	=>	"Γεράσιμος, Αρτέμιος, Άρτεμις",
	"23/10"	=>	"Ιάκωβος",
	"26/10"	=>	"Δημήτριος, Δήμητρα",
	"27/10"	=>	"Νέστωρας",
	"29/10"	=>	"Τιμόθεος",
	"30/10"	=>	"Ζηνοβία",
	"01/11"	=>	"Κοσμάς, Δαμιανός, Ανάργυρος",
	"07/11"	=>	"Αθηνόδωρος",
	"08/11"	=>	"Άγγελος, Αγγελική, Γαβριήλ, Μιχαήλ, Σεραφείμ, Σταμάτης, Ταξιάρχης",
	"09/11"	=>	"Νεκτάριος",
	"10/11"	=>	"Σωσίπατρος",
	"11/11"	=>	"Βίκτωρ, Βικτώρια, Βικέντιος, Μηνάς",
	"13/11"	=>	"Δαμασκηνός, Δαμιανός, Χρυσόστομος",
	"14/11"	=>	"Φίλιππος",
	"16/11"	=>	"Ματθαίος",
	"17/11"	=>	"Γεννάδιος",
	"21/11"	=>	"Τα Εισόδια της Θεοτόκου",
	"25/11"	=>	"Αικατερίνη",
	"26/11"	=>	"Στυλιανός, Στέλιος, Στέργιος, Στυλιανή, Στέλλα",
	"30/11"	=>	"Ανδρέας, Ανδριανή",
	"04/12"	=>	"Βαρβάρα",
	"05/12"	=>	"Σάββας",
	"06/12"	=>	"Νικόλαος, Νίκος, Νικολέτα, Νίκη",
	"09/12"	=>	"Άννα",
	"12/12"	=>	"Σπυρίδων, Σπύρος, Σπυριδούλα",
	"13/12"	=>	"Ευστράτιος, Στράτος, Ευγένιος, Αυξέντιος, Λουκία",
	"15/12"	=>	"Ελευθέριος, Ελευθερία, Ανθή",
	"16/12"	=>	"Μόδεστος",
	"17/12"	=>	"Δανιήλ, Διονύσιος",
	"18/12"	=>	"Σεβαστιανός",
	"19/12"	=>	"Αγλαΐα, Άρης",
	"20/12"	=>	"Ιγνάτιος",
	"21/12"	=>	"Ιουλία",
	"22/12"	=>	"Αναστασία",
	"24/12"	=>	"Ευγενία, Ευγένιος",
	"25/12"	=>	"Γέννησις Ιησού Χριστού, Χριστούγεννα, Χρήστος, Χριστίνα, Χρύσα, Χρυσούλα",
	"26/12"	=>	"Εμμανουήλ, Μανώλης",
	"27/12"	=>	"Στέφανος, Στεφανία",
	"31/12"	=>	"Ολυμπία",
);

$worlddays = array(
	"01/01"	=>	"ΠΡΩΤΟΧΡΟΝΙΑ",
	"02/02"	=>	"Παγκόσμια Ημέρα των Υγρότοπων και Υδροβιότοπων",
	"14/02"	=>	"Παγκόσμια Ημέρα των Ερωτευμένων",
	"21/02"	=>	"Παγκόσμια Ημέρα της Μητρικής Γλώσσας",
	"08/03"	=>	"Παγκόσμια Ημέρα της Γυναίκας και των Δικαιωμάτων της",
	"15/03"	=>	"Παγκόσμια Ημέρα της Προστασίας του Καταναλωτή",
 	"21/03"	=>	"Παγκόσμια Ημέρα της Ποίησης",
	"22/03"	=>	"Παγκόσμια Ημέρα του Νερού",
	"23/03"	=>	"Παγκόσμια Ημέρα της Μετεωρολογίας",
	"24/03"	=>	"Παγκόσμια Ημέρα κατά της Φυματίωσης",
	"27/03"	=>	"Παγκόσμια Ημέρα του Θεάτρου",
	"02/04"	=>	"Παγκόσμια Ημέρα του Παιδικού Βιβλίου",
	"07/04"	=>	"Παγκόσμια Ημέρα Υγείας",
	"18/04"	=>	"Παγκόσμια Ημέρα Μνημείων",
	"20/04"	=>	"Παγκόσμια Ημέρα Τύπου",
	"22/04"	=>	"Παγκόσμια Ημέρα της Γης",
	"23/04"	=>	"Παγκόσμια Ημέρα του Βιβλίου και των Πνευματικών Δικαιωμάτων (Copyright)",
	"01/05"	=>	"Εργατική Πρωτομαγιά",
	"03/05"	=>	"Παγκόσμια Ημέρα της Ελευθερίας του Τύπου",
	"08/05"	=>	"Παγκόσμια Ημέρα Λήξης Β' Παγκοσμίου Πολέμου",
	"09/05"	=>	"Παγκόσμια Ημέρα της Ευρώπης",
	"15/05"	=>	"Παγκόσμια Ημέρα της Οικογένειας",
	"17/05"	=>	"Παγκόσμια Ημέρα των Τηλεπικοινωνιών",
	"18/05"	=>	"Παγκόσμια Ημέρα των Μουσείων",
	"19/05"	=>	"Παγκόσμια Ημέρα του Ερυθρού Σταυρού",
	"21/05"	=>	"Παγκόσμια Ημέρα της Πολιτιστικής Ανάπτυξης",
	"31/05"	=>	"Παγκόσμια Ημέρα κατά του Καπνίσματος",
	"05/06"	=>	"Παγκόσμια Ημέρα Προστασίας Περιβάλλοντος",
	"12/06"	=>	"Παγκόσμια Ημέρα κατά της Εργασίας των Παιδιών",
	"17/06"	=>	"Παγκόσμια Ημέρα κατά της Ερημοποίησης και της Ξηρασίας",
	"20/06"	=>	"Παγκόσμια Ημέρα Προσφύγων",
	"21/06"	=>	"Παγκόσμια Ημέρα της Μουσικής",
	"26/06"	=>	"Παγκόσμια Ημέρα κατά των Ναρκωτικών",
	"02/07"	=>	"Παγκόσμια Ημέρα Συνεταιρισμών",
	"12/08"	=>	"Παγκόσμια Ημέρα της Νεότητας",
	"08/09"	=>	"Παγκόσμια Ημέρα Εξάλειψης του Αναλφαβητισμού (UNESCO)",
	"16/09"	=>	"Παγκόσμια Ημέρα Προστασίας της Ζώνης του Όζοντος",
	"20/09"	=>	"Παγκόσμια Ημέρα Χωρίς Αυτοκίνητο",
	"21/09"	=>	"Παγκόσμια Ημέρα της Ειρήνης",
	"26/09"	=>	"Παγκόσμια Ημέρα της Ναυτιλίας",
	"27/09"	=>	"Παγκόσμια Ημέρα του Τουρισμού",
	"01/10"	=>	"Παγκόσμια Ημέρα των Γηρατειών",
	"04/10"	=>	"Παγκόσμια Ημέρα των Ζώων",
	"05/10"	=>	"Παγκόσμια Ημέρα των Δασκάλων (UNESCO)",
	"09/10"	=>	"Παγκόσμια Ημέρα των Ταχυδρομείων",
	"16/10"	=>	"Παγκόσμια Ημέρα της Διατροφής και Τροφίμων",
	"17/10"	=>	"Παγκόσμια Ημέρα υπέρ της Εξάλειψης της Φτώχειας",
	"20/10"	=>	"Παγκόσμια Ημέρα κατά της Οστεοπόρωσης",
	"31/10"	=>	"Παγκόσμια Ημέρα της Αποταμίευσης",
	"14/11"	=>	"Παγκόσμια Ημέρα κατά του Διαβήτη",
	"21/11"	=>	"Παγκόσμια Ημέρα της Τηλεόρασης",
	"25/11"	=>	"Παγκόσμια Ημέρα Κατά της Βίας Εναντίον των Γυναικών",
	"01/12"	=>	"Παγκόσμια Ημέρα κατά του AIDS",
	"03/12"	=>	"Παγκόσμια Ημέρα Ατόμων με Ειδικές Ανάγκες",
	"04/12"	=>	"Παγκόσμια Ημέρα κατά των Ναρκών",
	"05/12"	=>	"Παγκόσμια Ημέρα του Εθελοντισμού",
	"07/12"	=>	"Παγκόσμια Ημέρα Πολιτικής Αεροπορίας ",
	"10/12"	=>	"Παγκόσμια Ημέρα Διεθνούς Αμνηστίας και Ανθρωπίνων Δικαιωμάτων",
	"11/12"	=>	"Παγκόσμια Ημέρα Παιδιού",
	"18/12"	=>	"Παγκόσμια Ημέρα για τους μετανάστες",
);

function getWorldday($strDate, $wdays) {

	$year = date('Y');
	
	$w = date('w', mktime(0, 0, 0, 6, 1, $year));
	$fathersday = (($w == 0) ? 8 : 22 - $w);
	$fathersday = (strlen($fathersday) == 1) ? '0'.$fathersday.'/06' : $fathersday.'/06';
	
	$w = date('w', mktime(0, 0, 0, 5, 1, $year));
	$mothersday = (($w == 0) ? 8 : 15 - $w);
	$mothersday = (strlen($mothersday) == 1) ? '0'.$mothersday.'/05' : $mothersday.'/05';

	if ($strDate == $fathersday) {
		return (string)"Παγκόσμια Ημέρα του Πατέρα";
	} elseif ($strDate == $mothersday) {
		return (string)"Παγκόσμια Ημέρα της Μητέρας";
	} else {
		return (string)$wdays[$strDate];
	}
}

function calcSpecialNamedays($day, $month, &$ndays_long, &$ndays_short, $edays) {
	
	$year = date('Y');

	// easter
	$jd_now = gregoriantojd($month, $day, $year);
	$easter = ((19*($year%19)+16)%30)+((2*($year%4))+(4*($year%7))+(6*((19*($year%19)+16)%30)))%7+3;
	if ($easter > 30) {
		$month_easter = '05';
		$day_easter = $easter - 30;
		$day_easter = (strlen($day_easter) == 1) ? '0'.$day_easter:$day_easter;
	} else {
		$month_easter = '04';
		$day_easter = $easter;
		$day_easter = (strlen($day_easter) == 1) ? '0'.$day_easter:$day_easter;
	}
	$jd_easter = gregoriantojd($month_easter, $day_easter, $year);
	$difference = abs($jd_now - $jd_easter);
	if ($jd_now > $jd_easter) {
		$difference = '+' . $difference;
	} elseif ($jd_now < $jd_easter) {
		$difference = '-' . $difference;
	} else {
		$difference = '0';
	}
	foreach ($edays as $key => $val) {
		$d = date('d/m', mktime(12, 0, 0, $month_easter, $day_easter + intval($key), date('Y')));
		$ndays_long[$d] = isset($ndays_long[$d]) ? '<i>'.$val.'</i>, '.$ndays_long[$d] : $val;
	}
	
	// Cloe nameday
	$w = date('w', mktime(0, 0, 0, 2, 13, $year));
	$chloe_date = (($w == 0) ? 8 : 20 - $w).'/02';
	$ndays_long[$cloe_date] = isset($ndays_long[$cloe_date]) ? $ndays_long[$cloe_date].", Χλόης" : "Χλόης";
	$ndays_short[$cloe_date] = isset($ndays_short[$cloe_date]) ? $ndays_short[$cloe_date].", Χλόη" : "Χλόη";

	// Sunday of Fathers  
	$w = date('w', mktime(0, 0, 0, 12, 11, $year));
	$propatoron_date = (($w == 0) ? 8 : 18 - $w).'/12';
	$ndays_long[$propatoron_date] = isset($ndays_long[$propatoron_date]) ? $ndays_long[$propatoron_date].", Κυριακή των Προπατόρων" : "Κυριακή των Προπατόρων";
	$ndays_short[$propatoron_date] = isset($ndays_short[$propatoron_date]) ? $ndays_short[$propatoron_date].", Ααρών, Αβραάμ, Αδάμ, Αδαμάντιος, Διαμαντής, Αδαμαντία, Δαβίδ, Δανάη, Δανιήλ, Δεβόρα, Εσθήρ, Έυα, Ισαάκ, Ιώβ, Νώε, Ραχήλ, Ρεβέκκα, Ρουμπίνη, Σάρα" : "Ααρών, Αβραάμ, Αδάμ, Αδαμάντιος, Διαμαντής, Αδαμαντία, Δαβίδ, Δανάη, Δανιήλ, Δεβόρα, Εσθήρ, Έυα, Ισαάκ, Ιώβ, Νώε, Ραχήλ, Ρεβέκκα, Ρουμπίνη, Σάρα";

 	// George
	$easter_ts = mktime(12, 0, 0, intval($month_easter), intval($day_easter), date('Y'));
	$april_ts = mktime(12, 0, 0, 4, 23, date('Y'));
	$george_date = ($easter_ts > $april_ts) ? date('d/m', $easter_ts + 86400) : date('d/m', $april_ts);
	$ndays_long[$george_date] = isset($ndays_long[$george_date]) ? $ndays_long[$george_date].", Αγίου Γεωργίου" : "Αγίου Γεωργίου";
	$ndays_short[$george_date] = isset($ndays_short[$george_date]) ? $ndays_short[$george_date].", Γεώργιος, Γεωργία" : "Γεώργιος, Γεωργία";

	//Marc
	$april_ts = mktime(12, 0, 0, 4, 25, date('Y'));
	$markos_date = ($easter_ts > $april_ts) ? date('d/m', $easter_ts + 172800) : date('d/m', $april_ts);
	$ndays_long[$markos_date] = isset($ndays_long[$markos_date]) ? $ndays_long[$markos_date].", Μάρκου του Αποστόλου και Ευαγγελιστή" : "Μάρκου του Αποστόλου και Ευαγγελιστή";
	$ndays_short[$markos_date] = isset($ndays_short[$markos_date]) ? $ndays_short[$markos_date].", Μάρκος" : "Μάρκος";
}
?>
